Bug 1288719 - (dcm2niix) Review Request: dcm2niix - DICOM to NIfTI converter
Review Request: dcm2niix - DICOM to NIfTI converter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-12-05 10:00 EST by Igor Gnatenko
Modified: 2015-12-28 17:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 17:58:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-12-05 10:00:41 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/dcm2niix.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/dcm2niix-0.0.0-0.1.gitebc72ae.fc24.src.rpm
Description:
dcm2nii is a designed to convert neuroimaging data from the NIfTI format to
the DICOM format.
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-08 17:41:38 EST
No need to 'rm -rf build'...

+ license is OK
+ license file missing, but upstream has been bugged
+ latest version (git snapshot)
+ pre-release version is OK
+ build flags are OK
+ no scriptlets present or needed
+ provides/requires are sane
+ name, summary, description are OK

dcm2niix.src:27: W: unversioned-explicit-provides bundled(nanojpeg)
Specify the version if possible.

dcm2niix.src: W: spelling-error %description -l en_US neuroimaging -> micromanaging
dcm2niix.x86_64: W: spelling-error %description -l en_US neuroimaging -> micromanaging
dcm2niix.x86_64: W: no-manual-page-for-binary dcm2niix
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/nii_dicom.cpp
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/nifti1.h
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/nii_ortho.cpp
dcm2niix-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/nii_ortho.cpp
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/main_console.cpp
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/nii_ortho.h
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/nii_dicom_batch.h
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/jpg_0XC3.cpp
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/ujpeg.h
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/jpg_0XC3.h
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/nii_dicom.h
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/tinydir.h
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/ujpeg.cpp
dcm2niix-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/dcm2niix-ebc72ae10a3f9e4cc7500decf9966b2a04caad5d/console/nii_dicom_batch.cpp
3 packages and 0 specfiles checked; 1 errors, 17 warnings.

OK.

Package is APPROVED. See two nitpicks above.
Comment 2 Gwyn Ciesla 2015-12-09 08:18:08 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/dcm2niix
Comment 3 Fedora Update System 2015-12-12 07:26:21 EST
dcm2niix-0.0.0-0.1.gitebc72ae.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2dd7d41849
Comment 4 Fedora Update System 2015-12-13 12:21:58 EST
dcm2niix-0.0.0-0.1.gitebc72ae.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dcm2niix'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2dd7d41849
Comment 5 Fedora Update System 2015-12-28 17:58:40 EST
dcm2niix-0.0.0-0.1.gitebc72ae.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.